org.apache.lucene.queryparser.flexible.core.config

## Interface FieldConfigListener

- All Known Implementing Classes:
    FieldBoostMapFCListener, FieldDateResolutionFCListener, NumericFieldConfigListener

      public interface FieldConfigListener

  This interface should be implemented by classes that wants to listen for field configuration requests. The implementation receives a `FieldConfig` object and may add/change its configuration.
  See Also:
    `FieldConfig`, `QueryConfigHandler`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildFieldConfig(FieldConfig fieldConfig)` This method is called ever time a field configuration is requested.

- - ### Method Detail

    - #### buildFieldConfig

          void buildFieldConfig(FieldConfig fieldConfig)

      This method is called ever time a field configuration is requested.
      Parameters:
        `fieldConfig` - the field configuration requested, should never be null

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.